<?php

namespace Airbapay\Acquiring;

class Helper
{
    protected
        $isTestMode = false,
        $password = null,
        $user = null,
        $terminalId = null,
        $accessToken = [];

    public const
        STATUS_SUCCESS = 'success',
        STATUS_AUTH = 'auth',
        STATUS_RETURN = 'return',
        STATUS_UNBLOCK = 'unblock';

    public function __construct($opt)
    {
        $this->isTestMode = (bool) $opt['isTestMode'];
        $this->user = $opt['user'];
        $this->password = $opt['password'];
        $this->terminalId = $opt['terminalId'];
    }

    public function getAccessToken($paymentId): array
    {
        // $baseUrl = $this->getBaseUrl();

        // $url = $baseUrl . 'authenticate';

        // $data = [

        // ];

        // $ch = \curl_init();
        // curl_setopt($ch, CURLOPT_URL, $url);

        // $payload = json_encode($data);
        // curl_setopt($ch, CURLOPT_POST, 1);
        // curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);

        // curl_setopt($ch, CURLOPT_HTTPHEADER, [
        //     'Content-Type:application/json'
        // ]);

        // $output = curl_exec($ch);
        // // var_dump(curl_getinfo($ch));
        // // var_dump($output);

        // curl_close($ch);

        // // var_dump(json_decode($output, 1));

        // curl -X POST "https://sps.airbapay.kz/acquiring-api/api/v1/auth/sign-in" -H "accept: application/json" -H "Content-Type: application/json" -d "{ \"user\": \"test\", \"password\": \"test\", \"terminal_id\": \"test\"}"

        // curl -X PUT -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE3MTMxODI4MzYsImlzX3JlZnJlc2giOmZhbHNlLCJwYXltZW50X2lkIjoiNjYxY2ZkZDI4NTBhZDBkNDc5MmY0MGM3IiwidGVybWluYWxfaWQiOiI2NjBiOTkwNTIyN2E1Y2FiOGVhNzRkZGYifQ.wB0-boQoyS0C1dvL6aGImWEWTcthHSZK8oFZZ75cAo8" -H "Content-Type: application/json;" -d '{"amount":2199}' "https://sps.airbapay.kz/acquiring-api/api/v1/payments/charge"

        return [];
    }

    public function apiQuery(string $action, array $data = null, array $opt = []): array
    {
        // $baseUrl = $this->getBaseUrl();
        
        // $url = $baseUrl . $action;

        // $ch = \curl_init();
        // curl_setopt($ch, CURLOPT_URL, $url);

        // if ($data !== null) {
        //     $payload = json_encode($data);
        //     curl_setopt($ch, CURLOPT_POST, 1);
        //     curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
        // }

        // // curl_setopt($ch, CURLOPT_HTTPHEADER, [
        // //     'Authorization: Basic ' . base64_encode($this->login . ':' . $this->password),
        // //     'Content-Type:application/json'
        // // ]);

        

        // curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        // $output = curl_exec($ch);
        // // var_dump(curl_getinfo($ch));
        // // var_dump($output);

        // curl_close($ch);

        // return json_decode($output, 1);

        return [];
    }

    // protected function getAuthUrl()
    // {
    //     if ($this->isTestMode) {
    //         $url = 'https://sapi.airbapay.kz/auth/api/v1/authenticate';
    //     } else {
    //         $url = 'https://api.airbapay.kz/auth/api/v1/authenticate';
    //     }

    //     return $url;
    // }

    protected function getBaseUrl()
    {
        if ($this->isTestMode) {
            $baseUrl = 'https://sps.airbapay.kz/acquiring-api/api/v1/';
        } else {
            $baseUrl = 'https://ps.airbapay.kz/acquiring-api/api/v1/';
        }

        return $baseUrl;
    }
}