<?php

use Bitrix\Main\Application;
use Bitrix\Main\Config\Option;
use Bitrix\Main\Localization\Loc;
use Bitrix\Main\Text\HtmlFilter;
use Bitrix\Main;

defined('ADMIN_MODULE_NAME') or define('ADMIN_MODULE_NAME', 'airbapay.acquiring');

$moduleId = 'airbapay.acquiring';

if (!$USER->isAdmin()) {
    $APPLICATION->authForm('Nope');
}

$app = Application::getInstance();
$context = $app->getContext();
$request = $context->getRequest();

$protocol = $request->isHttps() ? 'https://' : 'http://';

\Bitrix\Main\Loader::includeModule($moduleId);
\Bitrix\Main\Loader::includeModule('sale');

Loc::loadMessages($context->getServer()->getDocumentRoot()."/bitrix/modules/main/options.php");
Loc::loadMessages(__FILE__);